Bug 1466184 - Request for signed grub with HTTP included
Request for signed grub with HTTP included
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-29 04:32 EDT by Ferry
Modified: 2017-09-06 05:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-06 05:53:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferry 2017-06-29 04:32:09 EDT
Hi,

we'd like to PXE boot Fedora on computers that have secureboot enabled.

Fedora ships with a signed grub version that can be placed behind shim.efi to accomplish this.

Unfortunately the signed grub version does not include HTTP support for fetching the images and TFTP is really inconsistent performance wise (mostly dependent on the NIC used, when using 300MB initrd's NIC X will download in 20s whilst NIC Y will take 7-10 minutes - they all do it in 20s on HTTP being much more consistent thus).

As such we'd like to request the signed version to include HTTP support, so kernel and initrd can be fetched from a HTTP server providing a much more consistent (and reliable) experience.

Thanks in advance :).
Comment 1 Jan Kurik 2017-08-15 04:36:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Ferry 2017-09-06 05:53:56 EDT
Fedora 27 / Rawhide seems to have resolved this. Pulled shim/grub from a 27 nightly and can PXE boot whilst loading over HTTP just fine with that.

Currently using it to boot Fedora 25, where grub pulls kernel and initrd from a web server via HTTP.

Thanks :).

Note You need to log in before you can comment on or make changes to this bug.